package com.gic.store.service;

import com.gic.store.entity.TabStoreGroup;

/**
 * @author guojx
 * @date 2019/7/3 2:16 PM
 */
public interface StoreGroupService {

    /**
     * 根据名称查询分组
     * @param storeGroupName
     * @param enterpriseId
     * @return
     */
    TabStoreGroup getStoreGroupByName(String storeGroupName, Integer enterpriseId);

    /**
     * 拖拽排序
     * @param storeGroup
     * @param toSortValue 要排序的值
     */
    void dragSort(TabStoreGroup storeGroup, Integer toSortValue);

    TabStoreGroup getStoreGroupById(Integer storeGroupId);

    /**
     * 更新排序值
     * @param sort
     * @param storeGroupId
     */
    void updateSort(Integer sort, Integer storeGroupId);

    /**
     * 查询未分组门店  分组
     * @param enterpriseId
     * @return
     */
    TabStoreGroup selectUnGroupedStore(Integer enterpriseId);
}
